allegro_message(3)

NAME
allegro_message

SYNOPSIS
#include <allegro.h>

void allegro_message(const char *msg, ...);

DESCRIPTION
Outputs a message, using a printf() format string. This function must only be used when you aren't in graphics mode, eg. before calling set_gfx_mode(), or after a set_gfx_mode(GFX_TEXT). On platforms that have a text mode console (DOS, Unix and BeOS) it will print the string to the console, attempting to work around codepage differences by reducing any accented characters to 7 bit ASCII approximations, or under Windows it will bring up a GUI message box.